
@comment{Books----------------------------------------------------------------}
@book{ChiassonBook,
	author = {John Chiasson},
	title = {Modeling and High-Performance Control of Electric Machines},
	publisher = {John Wiley \& Sons},
	year = {2005},
	ISBN = {0-471-68449-X},
}

@book{HanselmanBook,
	author = {Dr. Duane Hanselman},
	title = {Brushless Permanent Magnet Motor Design},
	edition = {Second Edition},
	publisher = {Magna Physics Publishing},
	year = {2006},
	ISBN = {1-881855-15-5},
}

@book{KrishnanBook,
	author = {Ramu Krishnan},
	title = {Permanent Magnet Synchronous and Brushless DC Motor Drives},
	publisher = {CRC Press, Taylor \& Francis Group},
	year = {2010},
	ISBN = {978-0-8247-5384-9},
}

@book{GierasBook,
	author = {Jacek F. Gieras},
	title = {Permanent Magnet Motor Technology},
	subtitle = {Design and Applications},
	edition = {Third Edition},
	publisher = {CRC Press, Taylor \& Francis Group},
	year = {2010},
	ISBN = {978-1-4200-6440-7},
}

@book{KazmierkowskiBook,
	author = {Marian P. Kazmierkowski and Ramu Krishnan and Frede Blaabjerg},
	title = {Control in Power Electronics},
	subtitle = {Selected Problems},
	publisher = {Academic Press, An imprint of Elsevier Science},
	year = {2002},
	ISBN = {0-12-402772-5},
}

@book{KrauseBook,
	author = {Paul Krause and Oleg Wasynczuk and Scott D. Sudhoff and Steven D. Pekarek},
	title = {Analysis of Electric Machinery and Drive Systems},
	edition = {Third Edition},
	publisher = {Wiley-IEEE Press},
	year = {2013},
	ISBN = {978-1-118-02429-4},
}

@book{GeyerBook,
	author = {Tobias Geyer},
	title = {Model Predictive Control of High Power Converters and Industrial Drives},
	publisher = {John Wiley \& Sons},
	year = {2017},
	ISBN = {978-1-119-01086-9},
}

@book{JanochaBook,
	editor = {Hartmut Janocha},
	year = {2004},
	title = {Actuators},
	subtitle = {Basics and Applications},
	publisher = {Springer-Verlag},
	ISBN = {978-3-642-08266-5},
	doi = {10.1007/978-3-662-05587-8},
}

@book{GiriBook,
	title={AC Electric Motors Control: Advanced Design Techniques and Applications},
	author={Fouad Giri},
	isbn={978-1-118-33152-1},
	year={2013},
	publisher={John Wiley \& Sons}
}

@book{RodriguezBook,
	title={Predictive Control of Power Converters and Electrical Drives},
	author={Jose Rodriguez and Patricio Cortes},
	isbn={978-1-119-96398-1},
	year={2012},
	publisher={Wiley-IEEE Press }
}

@book{CorradiniBook,
	author = {Luca Corradini and Dragan Maksimović and Paolo Mattavelli and Regan Zane},
	year = {2015},
	title = {Digital Control of High-Frequency Switched-Mode Power Converters},
	publisher = {Wiley-IEEE Press},
	ISBN = {978-1-118-93510-1},
}
@book{LinderBook,
	author = {Linder, A and Kanchan, Rahul and Kennel, Ralph and Stolze, Peter},
	year = {2012},
	month = {01},
	pages = {},
	title = {Model-Based Predictive Control of Electric Drives},
	\publisher = {Cuvillier Verlag},
	ISBN = {978-3869553986}
}


@comment{Papers-------------------------------------------------------------}
@article{MoehleWaveformsForBLDC,
	author = {N. {Moehle} and S. {Boyd}},
	title = {Optimal current waveforms for brushless permanent magnet motors},
	journal = {International Journal of Control},
	volume = {88},
	number = {7},
	pages = {1389-1399},
	year  = {2015},
	publisher = {Taylor & Francis},
	doi = {10.1080/00207179.2015.1012558},
	URL = {https://doi.org/10.1080/00207179.2015.1012558},
	eprint = {https://doi.org/10.1080/00207179.2015.1012558}
}

@article{CortesMPCinPowerElectronics,
	author = {P. {Cortes} and M. P. {Kazmierkowski} and R. M. {Kennel} and D. E. {Quevedo} and J. {Rodriguez}},
	journal = {IEEE Transactions on Industrial Electronics},
	title = {Predictive Control in Power Electronics and Drives},
	year = {2008},
	volume = {55},
	number = {12},
	pages = {4312-4324},
	keywords = {digital control;drives;power convertors;power electronics;predictive control;predictive control;power electronics;drives;power converters;microprocessors;Predictive control;Power electronics;Sliding mode control;Pulse width modulation;Microprocessors;Control systems;Hysteresis;Fuzzy logic;Nonlinear control systems;Control nonlinearities;Drives;power electronics;predictive control},
	doi = {10.1109/TIE.2008.2007480},
	ISSN = {0278-0046},
	month = {Dec},
}

@article{VazquezMPCinPowerElectronicsReview,
	author = {S. {Vazquez} and J. I. {Leon} and L. G. {Franquelo} and J. {Rodriguez} and H. A. {Young} and A. {Marquez} and P. {Zanchetta}},
	journal = {IEEE Industrial Electronics Magazine},
	title = {Model Predictive Control: A Review of Its Applications in Power Electronics},
	year = {2014},
	volume = {8},
	number = {1},
	pages = {16-31},
	keywords = {control nonlinearities;multivariable control systems;power convertors;power electronics;power system control;predictive control;power electronics application;MPC;model based predictive control;power converters;multivariable case;active front end;AFE;resistor inductor RL loads;power supplies;induction machines;Predictive control;Converters;Power conversion;Motor drives;Induction machines;Power efficiency;Control systems},
	doi = {10.1109/MIE.2013.2290138},
	ISSN = {1932-4529},
	month = {March},
}

@article{RodriguezMPCFCSReview,
	author = {J. {Rodriguez} and M. P. {Kazmierkowski} and J. R. {Espinoza} and P. {Zanchetta} and H. {Abu-Rub} and H. A. {Young} and C. A. {Rojas}},
	journal = {IEEE Transactions on Industrial Informatics},
	title = {State of the Art of Finite Control Set Model Predictive Control in Power Electronics},
	year = {2013},
	volume = {9},
	number = {2},
	pages = {1003-1016},
	keywords = {power convertors;power electronics;predictive control;active ήlters;drives;power conditioning;distributed generation;computational realization;power converter;FCS-MPC;power electronics;predictive control;finite control set model;Inverters;Cost function;Topology;Switches;Voltage control;Vectors;Digital control;power electronics;predictive control;variable speed drives},
	doi = {10.1109/TII.2012.2221469},
	ISSN = {1551-3203},
	month = {May},
}

@article{AhmedFCSMPCxCCSMPC,
	author = {A. A. {Ahmed} and B. K. {Koh} and Y. I. {Lee}},
	journal = {IEEE Transactions on Industrial Informatics}, 
	title = {A Comparison of Finite Control Set and Continuous Control Set Model Predictive Control Schemes for Speed Control of Induction Motors}, 
	year = {2018},
	volume = {14},
	number = {4},
	pages = {1334-1346},
	doi = {10.1109/TIE.2016.2631456},
	ISSN = {1557-9948},
	month = {March},
}

@article{AhmedFCSMPC,
	author={A. A. {Ahmed} and B. K. {Koh} and H. S. {Park} and K. {Lee} and Y. I. {Lee}},
	journal={IEEE Transactions on Industrial Electronics}, 
	title={Finite-Control Set Model Predictive Control Method for Torque Control of Induction Motors Using a State Tracking Cost Index}, 
	year={2017},
	volume={64},
	number={3},
	pages={1916-1928},
	doi = {10.1109/TII.2017.2758393},
	ISSN = {1941-0050},
	month = {April},
}

@article{ChiuSwitchingSurface,
	author={J. Y. {Chiu} and K. K. {Leung} and H. S. {Chung}},
	journal={IEEE Transactions on Power Electronics}, 
	title={High-Order Switching Surface in Boundary Control of Inverters}, 
	year={2007},
	volume={22},
	number={5},
	pages={1753-1765},
	doi = {10.1109/TPEL.2007.904209},
	ISSN = {1941-0107},
}

@article{PreindlFCSMPCFieldWeakening,
  author={M. {Preindl} and S. {Bolognani}},
  journal={IEEE Transactions on Industrial Informatics}, 
  title={Model Predictive Direct Torque Control With Finite Control Set for PMSM Drive Systems, Part 2: Field Weakening Operation}, 
  year={2013},
  volume={9},
  number={2},
  pages={648-657},
}

@ARTICLE{MynarFieldWeakening,
  author={Z. {Mynar} and L. {Vesely} and P. {Vaclavek}},
  journal={IEEE Transactions on Industrial Electronics}, 
  title={PMSM Model Predictive Control With Field-Weakening Implementation}, 
  year={2016},
  volume={63},
  number={8},
  pages={5156-5166},
}



@inproceedings{CiminiMPCOnlinePMSM,
	author = {G. {Cimini} and D. {Bernardini} and A. {Bemporad} and S. {Levijoki}},
	booktitle = {2015 IEEE International Conference on Industrial Technology (ICIT)},
	title = {Online model predictive torque control for Permanent Magnet Synchronous Motors},
	year = {2015},
	volume = {},
	number = {},
	pages = {2308-2313},
	keywords = {machine control;motion control;optimal control;optimisation;permanent magnet motors;predictive control;synchronous motors;torque control;permanent magnet synchronous motor;PMSM;direct transistor actuation;online model predictive direct torque control;MP-DTC approach;MPC formulation;optimal control law;multiparametric optimization;processor-in-the-loop experiment;PIL experiment;digital signal processor;DSP;motion control;Torque;Mathematical model;Predictive models;Digital signal processing;Optimization;Torque control;Standards},
	doi = {10.1109/ICIT.2015.7125438},
	ISSN = {},
	month = {March},
}

@inproceedings{GarayaldeCompareFCSMPCandCCSMPC,
	author={E. {Garayalde} and I. {Aizpuru} and U. {Iraola} and I. {Sanz} and C. {Bernal} and E. {Oyarbide}},
	booktitle={2019 International Conference on Clean Electrical Power (ICCEP)}, 
	title={Finite Control Set MPC vs Continuous Control Set MPC Performance Comparison for Synchronous Buck Converter Control in Energy Storage Application}, 
	year={2019},
	doi = {10.1109/ICCEP.2019.8890127},
	volume={},
	number={},
	pages={490-495},
}

@inproceedings{LeungComparativeStudy,
	author={K. S. {Leung} and H. S. H. {Chung}},
	booktitle={2005 IEEE 36th Power Electronics Specialists Conference}, 
	title={A Comparative Study of the Boundary Control of Buck Converters Using First- and Second-Order Switching Surfaces -Part I: Continuous Conduction Mode}, 
	year={2005},
	volume={},
	number={},
	pages={2133-2139},
}

@inproceedings{VaclavekFieldWeakeningMPC,
  author={P. {Václavek} and P. {Blaha}},
  booktitle={2010 IEEE International Conference on Power and Energy}, 
  title={Field weakening in PMSM model based predictive control}, 
  year={2010},
  volume={},
  number={},
  pages={330-335},
}

@inproceedings{HolmesPWMSVM,
  author={D. G. {Holmes}},
  booktitle={Conference Record of the 1992 IEEE Industry Applications Society Annual Meeting}, 
  title={The general relationship between regular-sampled pulse-width-modulation and space vector modulation for hard switched converters}, 
  year={1992},
  volume={},
  number={},
  pages={1002-1009 vol.1},
}

@inproceedings{BeldaOnlineMPC,
  author={K. {Belda} and L. {Pavelkova}},
  booktitle={2017 22nd International Conference on Methods and Models in Automation and Robotics (MMAR)}, 
  title={Online tuned model predictive control for robotic systems with bounded noise}, 
  year={2017},
  volume={},
  number={},
  pages={694-699},
}






@comment{Technical Reports----------------------------------------------------}
@report{NXPPMSMMEasurements,
	author = {Viktor Bobek},
	title = {PMSM Electrical Parameters Measurement},
	type = {Application Note, Document Number: AN4680, Rev. 0},
	institution = {Freescale Semiconductor},
	year = {2013},
	month = {02},
	url = {https://www.nxp.com/docs/en/application-note/AN4680.pdf},
}

@report{NXPPMSMControl,
	title = {Sensorless PMSM Field-Oriented Control},
	type = {Design Reference Manual, Document Number: DRM148, Rev. 1},
	institution = {Freescale Semiconductor},
	year = {2016},
	month = {02},
	url = {https://www.nxp.com/doc/DRM148},
}


@report{SchultzMotorola,
	author = {Warren Schultz},
	type = {Application Manual},
	institution = {Motorola Semiconductor Products},
	year = {1987},
	month = {06},
	title = {Drive Techniques for High Side N-Channel MOSFETs},
	@pages = {34-40},
	@booktitle = {Power Conversion and Intelligen tMotion},
}






@comment{Datasheets and Online Materials----------------------------------------------------}
@manual{MotorDatasheet,
	author = {Anaheim Automation},
	title = {BLWR23 Series - Brushless DC Motors},
	type = {Product Sheet},
	url = {https://www.anaheimautomation.com/manuals/brushless/L010231%20-%20BLWR23%20Series%20Product%20Sheet.pdf},
	urldate = {2020-08-05},
}




